LINUX.ORG.RU

KDE 4.3.2 ядро 2.6.26-2-686 lenny wifi


0

0

Всем доброго дня, Ситуация в следующим, пытаюсь поставить wifi на свой ноут по инструкции:http://wiki.debian.org/iwlagn , дохожу до 3 го пункта, вписываю туда свое ядро: aptitude -t lenny-backports install linux-image-2.6.26-2-$(uname -r | sed 's,.*-,,g') firmware-iwlwifi wireless-tools и в итоге работы получаю:

Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово
Чтение описаний задач... Готово
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 53 пакетов не обновлено.
Необходимо получить 0B архивов. После распаковки 0B будет занято.
Запись информации расширенных состояний... Готово
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово
Чтение описаний задач... Готово

По факту ядро не пропатчилось и на команду modprobe iwlagn я получааю: FATAL: Module iwlagn not found.

я так пониимаю, что в ядро не скомпилилось и этот модуль в него не добавился, как мне скомпилить едро, что б в него попал данный модуль?

Не парьтесь и обновите ядро до 2.6.31-1-686

fluorite ★★★★★ ()
Ответ на: комментарий от vlershov

Чувак:

Install a 2.6.30 (or later) kernel image appropriate for your system, along with the lenny-backports/firmware-iwlwifi and wireless-tools packages. For example:

# aptitude update # aptitude -t lenny-backports install linux-image-2.6.30-bpo.2-$(uname -r | sed 's,.*-,,g') firmware-iwlwifi wireless-tools

Pavval ★★★★★ ()
Ответ на: комментарий от Pavval

Не ну тут же четко написано 6.30 или посже, т.е мое должно подойти, я тут тему поднимал с 3D-ускорителем на данной версии вкрутил, хотя эффекты так и не работаю, до этого у меня стояла 30 и там все гуд работает, если я поднимусь выше, у меня 3D работать будет? я спрашиваю, потому что у меня на 30 не работало...

vlershov ()
Ответ на: комментарий от vlershov

Как мне быть, что б и дрова на АТИ работали нормално и wifi?

vlershov ()
Ответ на: комментарий от Pavval

Да я понял, вот я и спрашиваю, что мне необходимо сделать, что б при переходе на новое ядро, у меня работали дрова на видио?

vlershov ()
Ответ на: комментарий от vlershov

Ты просто ставишь ядро из бекпортов. Старое никуда не денется и ты сможешь грузиться в любое из них. Если у тебя на 2.6.26 работают закрытые дрова (fglrx), то, загрузившись с нового ядра в консоль попробуй набрать m-a a-i fglrx и перегрузиться. Может с ядром с бекпортов заработает.

Pavval ★★★★★ ()
Ответ на: комментарий от vlershov

ставить ядреный модуль ndiswrapper на 2.6.26 и накатить виндовые дрова на wifi

elipse ★★★ ()
Ответ на: комментарий от vlershov

Ставь ядра только через apt-get install, если ты новичок в линуксе.

Pavval ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.